Bug 1474885 - A remote job runs over multiple servers that belongs to different organization (crossing organizational boundaries)
A remote job runs over multiple servers that belongs to different organizatio...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution (Show other bugs)
6.2.10
All Linux
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 10:48 EDT by Abhishek Sahni
Modified: 2018-06-21 01:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20415 None None None 2017-07-26 03:59 EDT

  None (edit)
Description Abhishek Sahni 2017-07-25 10:48:35 EDT
Description of problem:

Remote execution jobs runs over hosts which not not even part of the organization.

Or can say remote jobs ignoring organization boundaries.

How reproducible:

100% 

Steps to Reproduce:

-- Create 2 orgs and register 2 different hosts (eg :RHEL 7) on them respectively.

-- Copy ssh keys over on those clients.

-- Create job

Job Category : Commands
Job Templates : SSH Default
Search Query : os_major = 7

Resolves hosts = 1 expected

Command : echo test

Schedule future execution: after a minute with respect to current time.

SUBMIT

-- Then navigate suddenly to "Any Organization" and wait for the job to get executed.


Actual results:

Job will be executed over clients including which are not the part of organization.

Expected results:

It should run over specific client not on clients from different organizations.
Comment 2 Adam Ruzicka 2017-07-26 03:59:24 EDT
Created redmine issue http://projects.theforeman.org/issues/20415 from this bug
Comment 3 Adam Ruzicka 2017-07-26 04:02:53 EDT
Workaround:
Until this gets fixed, please use more explicit search queries. For original "os_major = 7" use something like "os_major = 7 and organization = MyOrg and location = MyLoc", where MyOrg and MyLoc are names of your organization and location.

Note You need to log in before you can comment on or make changes to this bug.